Bug 75352 - redhat-config-packages crashes on startup
redhat-config-packages crashes on startup
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-packages (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jonathan Blandford
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-07 12:02 EDT by Michael Phillips, Jr.
Modified: 2013-04-02 00:17 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-31 02:49:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Phillips, Jr. 2002-10-07 12:02:40 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.1) Gecko/20020827

Description of problem:
redhat-config-packages crashes on startup with an Error dialog box with the
message Unknown error.

Version-Release number of selected component (if applicable):Redhat 8.0


How reproducible:
Always

Steps to Reproduce:
1.Select Packages icon from redhat menu Other 
2.Mouse click Packages Icon
3.
	

Actual Results:  Error dialog box appears with unknown error message appears.

Expected Results:  Application should launch without error.

Additional info:

Traceback shows following:
(MainWindow.py:1764): GLib-GObject-WARNING **: instance with invalid (NULL)
class pointer

(MainWindow.py:1764): GLib-GObject-CRITICAL **: file gsignal.c: line 1732
(g_signal_handlers_destroy): assertion `G_TYPE_CHECK_INSTANCE (instance)' failed

Using the python debugger I stepped through the code of MainWindow.py
The error dialog pop up after the execution of line 46: self.im = None
Comment 1 Jeremy Katz 2002-10-07 12:24:54 EDT
Is the package correctly installed (rpm -V redhat-config-packages)

Also, if you just run redhat-config-packages from a terminal, do you get the error?
Comment 2 Michael Phillips, Jr. 2002-10-07 12:43:37 EDT
I ran rpm -V redhat-config-packages.  The package was verified without error.
I ran redhat-config-packages at a gnome-terminal prompt with a gnome-session and
a kde-terminal prompt with a kde-session. I get the same error with the traceback
reported in my bug report.
Comment 3 Michael Phillips, Jr. 2002-10-07 13:11:59 EDT
If I comment out the following lines from class MainWindow in file MainWindow.py:
line 34: i = gtk.Invisible()
line 35: i.selection_owner_set("_NAUTILUS_DISABLE_MOUNT_WINDOW")

and then rerun the program from a terminal prompt, the program launches without
error!  It looks like I am getting a null object pointer from gtk.Invisible().

I don't know why that is happening.
Comment 4 Need Real Name 2002-10-15 12:20:47 EDT
I commented out lines 34-35, but the app still crashes. Here is the trace I get
from the console:


Traceback (most recent call last):
  File "/usr/share/redhat-config-packages/MainWindow.py", line 163, in ?
    comps = im.readCompsViaMethod(hdlist, progress.update)
  File "/usr/share/redhat-config-packages/method.py", line 488, in
readCompsViaMethod
    update_method = update_method)
  File "/usr/share/redhat-config-packages/comps.py", line 387, in __init__
    self.readCompsFile(file, self.packages)
  File "/usr/share/redhat-config-packages/comps.py", line 471, in readCompsFile
    self.setupStateDicts(packages)
  File "/usr/share/redhat-config-packages/comps.py", line 420, in setupStateDicts
    for prov in h[rpm.RPMTAG_PROVIDES]:
TypeError: iteration over non-sequence
Comment 5 Harry Ising 2002-10-19 10:57:29 EDT
Traceback (most recent call last):
  File "/usr/share/redhat-config-packages/MainWindow.py", line 163, in ?
    comps = im.readCompsViaMethod(hdlist, progress.update)
  File "/usr/share/redhat-config-packages/method.py", line 488, in
readCompsViaMethod
    update_method = update_method)
  File "/usr/share/redhat-config-packages/comps.py", line 387, in __init__
    self.readCompsFile(file, self.packages)
  File "/usr/share/redhat-config-packages/comps.py", line 471, in readCompsFile
    self.setupStateDicts(packages)
  File "/usr/share/redhat-config-packages/comps.py", line 420, in setupStateDicts
    for prov in h[rpm.RPMTAG_PROVIDES]:
TypeError: iteration over non-sequence
Comment 6 Need Real Name 2002-10-21 21:02:53 EDT
On my system I was able to get the app working by skipping 'gdm'...
I added the following to /usr/share/redhat-config-packages/comps.py:

(line 420)

if (pkg == "gdm"):
     continue

I don't know why - but h[rpm.RPMTAG_PROVIDES] is type 'NoneType' when pkg == "gdm"
Comment 7 Need Real Name 2002-10-25 12:37:30 EDT
I'm getting the following error on my Athlon w/512 mem RH 8.0

Traceback (most recent call last):
  File "/usr/share/redhat-config-packages/MainWindow.py", line 163, in ?
    comps = im.readCompsViaMethod(hdlist, progress.update)
  File "/usr/share/redhat-config-packages/method.py", line 488, in
readCompsViaMethod
    update_method = update_method)
  File "/usr/share/redhat-config-packages/comps.py", line 387, in __init__
    self.readCompsFile(file, self.packages)
  File "/usr/share/redhat-config-packages/comps.py", line 471, in readCompsFile
    self.setupStateDicts(packages)
  File "/usr/share/redhat-config-packages/comps.py", line 420, in setupStateDicts
    for prov in h[rpm.RPMTAG_PROVIDES]:
TypeError: iteration over non-sequence

I tried commenting out lines 34 and 35 in MainWindow.py but still got the same
error.

Also tried to add 
if (pkg == "gdm"):
     continue
to line 420 but again the same error

redhat-config-packages crashes in the same way from launching from the menu or
the console
Comment 8 Need Real Name 2002-10-25 12:47:44 EDT
I inadvertently left the following out of my report:

rpm -V redhat-config-packages
S.5....T   /usr/share/redhat-config-packages/MainWindow.py
.......T   /usr/share/redhat-config-packages/comps.py
Comment 9 Need Real Name 2002-10-25 12:48:03 EDT
I inadvertently left the following out of my report:

rpm -V redhat-config-packages
S.5....T   /usr/share/redhat-config-packages/MainWindow.py
.......T   /usr/share/redhat-config-packages/comps.py
Comment 10 Joseph A. Farmer 2002-10-30 02:02:40 EST
My box is doing the same thing.  rpm -V redhat-config-packages runs with no
output so i'll assume all is well.  From term window:
Traceback (most recent call last):
  File "/usr/share/redhat-config-packages/MainWindow.py", line 163, in ?
    comps = im.readCompsViaMethod(hdlist, progress.update)
  File "/usr/share/redhat-config-packages/method.py", line 488, in
readCompsViaMethod
    update_method = update_method)
  File "/usr/share/redhat-config-packages/comps.py", line 387, in __init__
    self.readCompsFile(file, self.packages)
  File "/usr/share/redhat-config-packages/comps.py", line 471, in readCompsFile
    self.setupStateDicts(packages)
  File "/usr/share/redhat-config-packages/comps.py", line 420, in setupStateDicts
    for prov in h[rpm.RPMTAG_PROVIDES]:
TypeError: iteration over non-sequence

Redhat 8.0 on an AMD with all updates applied.  My best guess is it is confused
about the kernel-source file.  RPM claims it's installed and not installed.  If
I try to erase it, it is not installed.  If I try to install, it's already
installed.  rpmdb --rebuilddb didn't fix.
Comment 11 John Raif 2002-11-22 08:22:50 EST
Had previously used redhat-config-packages, OK. After rpm -Uvh evolution-1.2
redhat-config-packages gives same Traceback as above.  rpm -V
redhat-config-packages gives its not installed.  rpm -Uvh redhat-config-packages
gives its installed.
Comment 12 Mike Crippen 2002-12-08 19:08:56 EST
Hmmm...i get this message when i run redhat-config-packages

Traceback (most recent call last):
  File "/usr/share/redhat-config-packages/MainWindow.py", line 7, in ?
    import method
  File "/usr/share/redhat-config-packages/method.py", line 6, in ?
    import comps
  File "/usr/share/redhat-config-packages/comps.py", line 420
    for prov in h[rpm.RPMTAG_PROVIDES]:
                                      ^
IndentationError: unindent does not match any outer indentation level
Comment 13 Jeremy Katz 2002-12-31 02:49:34 EST
pygtk 1.99.13 had a change which caused instantiation of gtkInvisible() widgets
to fail.  The patch is in upstream CVS and our pygtk 1.99.14 packages.
Comment 14 Mike Munshower 2003-02-27 00:48:17 EST
Per Eve:
running command ps -ea | grep python doesn't work, nothing happens

running from terminal console redhat-config-packages and rpm -V
redhat-config-packages both produce the same result of the Package Management
utility opening briefly, then closing without ever display packages that are
know to be installed
Comment 15 Ray Seys 2003-04-25 11:58:26 EDT
Tried all of the above methods but all failed

I then added various sys.stderr.write("messages") and found that the app 
actually failed on rpm.opendb(0,inspath) in the file hdrlist.py 
rpm.opendb is a call to a function which is part of the librpm404 package

so I did a rpm -V librpm404 and got one line output presumably signifying a 
change 
I then downloaded librpm404 from redhat and reinstalled 
rpm -U --replacepkgs librpm404.version.numbers.rpm

then i ran redhat-config-packages and it got further than before but still 
bailed out. so I reinstalled redhat-config-packages and it all works fine now

  

Note You need to log in before you can comment on or make changes to this bug.